老款MAC强行升级,在不受支持的 Mac 上安装 macOS Ventura、Monterey、Big Sur (OpenCore Legacy Patcher)

视频教程

点击进入YouTube观看》

 

点击进入bilibili观看》

什么是OpenCore Legacy Patcher?

OpenCore 是一个复杂的引导加载程序,用于在内存中而不是磁盘上注入和修补数据。这意味着我们能够在许多不受支持的 Mac 上实现近乎原生的体验。

支持型号

任何支持 SSE4.1 CPU 和 64 位固件的硬件都可以在此修补程序上工作。要检查您的硬件型号,请在终端中的适用计算机上运行以下命令:

system_profiler SPHardwareDataType | grep 'Model Identifier'

下表列出了当前补丁程序所有支持和不支持的功能:

关于操作系统支持,请参见下文:

支持 支持的操作系统 描述 评论
主机操作系统 macOS 10.10 - macOS 13 指支持运行 OpenCore-Patcher.app 的操作系统 建议运行 10.9 或更早版本的用户在使用 OCLP 之前升级到较新的操作系统。
目标操作系统 macOS 11 - macOS 13 指可以修补以与 OpenCore 一起运行的操作系统 可能支持 10.4 及更高版本(处于可能损坏的状态)。不提供支持。
  • macOS Ventura 安装程序创建需要 10.11 或更高版本

MacBook

SMBIOS 支持的 评论
MacBook1,1 2006年中 32 位 CPU 限制
MacBook2,1 2006年底 32 位固件限制
MacBook3,1 2007年底
MacBook4,1 2008年初 - Mavericks 及更新版本中没有 GPU 加速
- 没有键盘和触控板
- 没有 USB
MacBook5,1 2008年底 是的 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
MacBook5,2 2009年初、2009年中 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口))
- 触控板手势部分损坏
MacBook6,1 2009年底 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
MacBook7,1 2010年中
MacBook8,1 2015年中 一切都支持
MacBook9,1 2016年初

MacBook Air

SMBIOS 支持的 评论
MacBookAir1,1 2008年初 需要SSE4.1 CPU
MacBookAir2,1 2008年底 是的 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
MacBookAir3,1 2010年底
MacBookAir3,2
MacBookAir4,1 2011年中 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口)
MacBookAir4,2
MacBookAir5,1 2012年中 一切都支持
MacBookAir5,2
MacBookAir6,1 2013年中、2014年初
MacBookAir6,2
MacBookAir7,1 2015年初、2017年
MacBookAir7,2

MacBook Pro

SMBIOS 支持的 评论
MacBookPro1,1 2006年初 32 位 CPU 限制
MacBookPro1,2
MacBookPro2,1 2006年底 32 位固件限制
MacBookPro2,2 2006年底
MacBookPro3,1 2007年中 需要SSE4.1 CPU
MacBookPro4,1 2008年初 是的 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
MacBookPro5,1 2008年底
MacBookPro5,2 2009年初
MacBookPro5,3 2009年中
MacBookPro5,4
MacBookPro5,5
MacBookPro6,1 2010年中 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口)
MacBookPro6,2
MacBookPro7,1 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
MacBookPro8,1 2011年初 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口)
MacBookPro8,2
MacBookPro8,3
MacBookPro9,1 2012年中 一切都支持
MacBookPro9,2
MacBookPro10,1 2012年中、2013年初
MacBookPro10,2 2012年底、2013年初
MacBookPro11,1 2013年末、2014年中
MacBookPro11,2
MacBookPro11,3
MacBookPro11,4 2015年中
MacBookPro11,5
MacBookPro12,1 2015年初
MacBookPro13,1 2016年底
MacBookPro13,2
MacBookPro13,3

Mac mini电脑

SMBIOS 支持的 评论
Macmini1,1 2006年初 32 位 CPU 限制
Macmini2,1 2007年中 32 位固件限制
Macmini3,1 2009年初 是的 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
Macmini4,1 2010年中
Macmini5,1 2011年中 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口)
Macmini5,2
Macmini5,3
Macmini6,1 2012年底 一切都支持
Macmini6,2
Macmini7,1 2014年中

iMac

SMBIOS 支持的 评论
iMac4,1 2006年初 32 位 CPU 限制
iMac4,2 2006年中
iMac5,1 2006年底 32 位固件限制
iMac5,2
iMac6,1
iMac7,1 2007年中 是的 - 需要SSE4.1 CPU 升级(打开新窗口)
- 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- 库存蓝牙 2.0 卡无法正常工作
- Public Beta 中支持 UHCI/OHCI,请参阅当前问题 ( #1021 (打开新窗口)
iMac8,1 2008年初 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
iMac9,1 2009年初
iMac10,1 2009年底 - GPU已插入,建议升级到Metal GPU(打开新窗口)
- 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口))
- Public Beta 中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口)
iMac11,1 - 公共测试版中的 GPU 加速,请参阅当前问题 ( #108 (打开新窗口)
iMac11,2 2010年中
iMac11,3
iMac12,1 2011年中
iMac12,2
iMac13,1 2012年底 一切都支持
iMac13,2
iMac13,3
iMac14,1 2013年底
iMac14,2
iMac14,3
iMac14,4 2014年中
iMac15,1 2014年末、2015年中
iMac16,1 2014年末、2015年中
iMac16,2 2014年末、2015年中
iMac17,1 2015年底、2016年初

Mac Pro

SMBIOS 支持的 评论
MacPro1,1 2006年中 32 位固件限制
MacPro2,1 2007年中
MacPro3,1 2008年初 是的 - 公共测试版中的 UHCI/OHCI 支持,请参阅当前问题 ( #1021 (打开新窗口))
- 库存蓝牙卡存在潜在的启动问题,建议删除以避免内核崩溃
MacPro4,1 2009年初 - 只要 GPU 支持 Metal,一切都受支持
- 公共 Beta 中支持 UHCI/OHCI,请参阅当前问题 ( #1021 (打开新窗口)
MacPro5,1 2010年中、2012年中
MacPro6,1 2013年底 - DRM 支持不稳定

Xserve

SMBIOS 支持的 评论
Xserve1,1 2006年中 32 位固件限制
Xserve2,1 2008年初 是的 - 只要 GPU 支持 Metal,一切都受支持
- 公共 Beta 中支持 UHCI/OHCI,请参阅当前问题 ( #1021 (打开新窗口)
Xserve3,1 2009年初

下载并构建 macOS 安装程序

本文档的重点是下载 macOS 安装程序并将其写入 USB 驱动器。如果您已经熟悉如何执行此操作,则可以跳过本节。

  • 注意:安装程序需要 16GB+ USB 驱动器

创建安装程序

借助 OpenCore Legacy Patcher,我们的新 GUI 包含 macOS 安装程序的下载菜单。因此,首先,您需要获取我们的应用程序:

在本指南中,我们将使用标准 OpenCore-Patcher (GUI)(您也可以使用pkg安装版)。

下载后,打开应用程序,您应该会看到以下菜单:

OCLP GUI 主菜单

首先,我们要选择“创建 macOS 安装程序”按钮。这将为您提供 2 个选项:

对于此示例,我们假设您需要一个安装程序。选择此选项将下载 Apple 的安装程序目录并构建一个列表供您选择:

正在下载 列出可安装系统版本 不受支持的安装程序
OCLP GUI 安装程序下载目录 OCLP GUI 安装程序下载列出的产品

由于修补程序正式支持 Big Sur 和更新版本的修补程序,因此只会显示那些完整的修补程序。对于我们自己来说,我们将选择 macOS 12,因为这是撰写本文时的最新公开版本。这会将 macOS 安装程序下载并安装到您的应用程序文件夹中。

  • 请注意,macOS Ventura 当前可能不支持某些计算机(即 2012 年及更早版本)。如果您看到此提示,则您需要使用旧版本的 macOS。
下载安装程序 请求安装 安装完成
OCLP GUI 安装程序下载进度 OCLP GUI 安装程序需要安装 OCLP GUI 安装程序下载完成

完成后,您可以继续将安装程序写入 USB 驱动器。

  • 注意:整个 USB 驱动器将被格式化
选择下载的安装程序 选择要格式化的磁盘

现在修补程序将开始安装程序闪烁!

等等闪烁 成功提示 闪烁完成

构建和安装 OpenCore

现在我们已经有了 macOS 安装程序,现在让我们构建 OpenCore 配置!

如果您尚未下载 OpenCore Patcher,请立即下载:

接下来,运行OpenCore-Patcher.app

警告

OpenCore 配置是特定于硬件的。如果您正在为与当前运行的模型不同的模型构建 OpenCore,则绝对有必要从“设置”中选择正确的模型。

在这里我们将选择 Build and Install OpenCore 并开始构建:

开始建造 竣工建筑
OCLP GUI 构建完成

构建完成后,您需要选择“安装 OpenCore”按钮:

  • 如果您手动创建了 macOS USB,但没有看到它列出,请确保它的格式为 GUID/GPT,或者具有供 OpenCore 驻留的 FAT32 分区。
选择驱动器 选择分区

启动 OpenCore 和 macOS

现在我们终于可以启动 OpenCore 了!

重新启动机器,同时按住Option选择带有 OpenCore 图标的 EFI 启动项(按住该Control键将使该启动项成为默认启动项):

  • 这将是 Mac 启动选择器

对于配备未闪存 GPU 的 Mac Pro/Xserve/iMac 的注意事项

(改编自Mac Pro 上的 OpenCore 指南 (打开新窗口)

对于使用非闪存 GPU 的 Mac Pro、Xserve 和 iMac 用户,您仍然可以轻松启动 OpenCore 并查看整个启动过程。

首先,打开终端并运行以下命令:

sudo nvram "recovery-boot-mode=unused" && sudo reboot recovery

这将使您的计算机重新启动进入恢复环境。或者,在计算机启动时按住Command+也可以让您进入恢复。R

其次,打开恢复环境的终端(菜单栏 > 实用程序 > 终端)。

现在您需要获取驱动器标识符列表。为此,请运行以下命令:

diskutil list

该命令应生成系统中安装的驱动器列表: 

通过 OCLP 安装跟踪驱动器。稍后您将需要驱动器标识符。

现在您需要挂载 EFI 分区(安装 OCLP 的位置,但如果您将 OCLP 安装到 FAT-32 卷,情况可能会有所不同)。

运行以下命令(将 X 替换为驱动器号):

diskutil mount diskXs1

 如果一切正确,则应该安装 EFI 分区。

现在您需要使用以下bless命令来设置默认启动设备:

bless --mount /Volumes/EFI --setBoot --file /Volumes/EFI/System/Library/CoreServices/boot.efi

该命令运行后,不应产生任何输出。 

如果该命令产生输出,请确保您输入的内容正确无误。

现在您可以重新启动机器。OCLP 现在是默认启动选项!

现在您已经加载了 OpenCore,“选择安装 macOS”:

  • 这将是 OpenCore 选择器

您很快就会到达安装程序屏幕!如果您在构建 OCLP 时启用了详细模式,则会在屏幕上显示大量文本。从那里开始,它就像任何普通的 macOS 安装一样。有关启动过程的示例,请观看以下视频:

如果您的 Mac 在第一次重新启动后循环回到设置的开头,请将其关闭,再次启动并按住Option。这次,选择带有灰色硬盘图标的选项,它可以显示“macOS Installer”或您在安装程序过程中为磁盘指定的名称。如有必要,每次重新启动后请继续重复此步骤。

警告

MacBookPro11,3 注意:启动 macOS Monterey 时,如果尚未安装加速补丁,则需要启动到安全模式。否则,您将因缺少 NVIDIA 驱动程序而出现黑屏。 (打开新窗口)Shift + Enter在 OCLP 的启动菜单中选择 macOS Monterey 时按住可进入安全模式。

 

安装后

无需 USB 驱动器启动

通过 OpenCore 安装 macOS 后,您可以启动并完成常规安装过程。在不插入 USB 驱动器的情况下启动非常简单:

  • 下载 OpenCore 旧版补丁程序
  • 根据需要更改修补程序设置
  • 再次构建 OpenCore
  • 将 OpenCore 安装到内部驱动器
  • 重启按住Option,选择内部EFI

瞧!不再需要 USB 驱动器。

无需启动选择器即可无缝启动

为此,请运行 OpenCore Patcher 并前往 Patcher Settings,然后取消选中 Build 选项卡上的“Show OpenCore Bootpicker”:

将其关闭后,再次构建 OpenCore EFI 并安装到所需的驱动器。现在要显示 OpenCore 选择器,您只需在单击 EFI 启动时按住“ESC”键,然后当您看到左上角的光标箭头时即可释放“ESC”键。

启用S​​IP

对于许多用户来说,SIP 将在构建时默认降低。对于 Intel HD 4000 用户,您可能已经注意到 SIP 被部分禁用。这是为了确保与 macOS Monterey 完全兼容,并允许它与旧操作系统之间无缝启动。但是,对于不打算启动 Monterey 的用户,您可以在“修补程序设置”下重新启用。

注意:运行 macOS Ventura 的计算机或具有非 Metal GPU 的系统无法完全启用 SIP,因为根卷已打补丁。启用它会使安装变砖。

从 0.6.6 开始,可以从图像中显示的“安全”选项卡访问 SIP 设置。

启用 SIP SIP 降低(根修补) SIP 已禁用

警告

如果您不确定是否应该启用 SIP,请保持原样。已运行安装后根修补的系统无法在不破坏当前安装的情况下启用 SIP。

应用安装后卷补丁

安装后卷补丁(有时也称为根补丁)是一些旧 Mac 必须安装到磁盘才能恢复功能的补丁。

如果 USB 安装介质是在 OCLP 中创建的,则OCLP 将在首次安装期间自动对系统进行根修补。macOS 更新后或系统上未检测到补丁时,系统还会提示用户安装这些补丁。我们建议使用最新版本的 OCLP 重建 OpenCore 以利用这些新功能。

用户还可以在安装后菜单中查看是否已安装适用的补丁、对系统进行根修补的日期和版本。

自动安装提示 地位

手动运行安装后补丁

如果您使用的是 OCLP v0.4.3 或更早版本,或者需要手动运行修补程序,则可以使用该应用程序执行此操作。尝试运行补丁程序并没有什么坏处,因为如果没有兼容的硬件,什么也做不了。您可以在下面查看您的硬件是否需要根卷修补。

列出补丁 修补完成

警告

对于 macOS Ventura 和配备 AMD Legacy GCN GPU(即 Metal)的 Mac,根修补需要网络连接来获取 Apple 的内核调试套件以开始根修补。如果您的系统无法连接到互联网,您可以从 Apple 网站手动下载 KDK:

获取与您安装的操作系统版本最接近的内核调试工具包,并将其安装到运行 Ventura 的计算机上。

需要此功能的机器是配备 AMD Metal dGPU 的机器:

  • 2008 - 2013 Mac Pro (MacPro3,1 - 6,1)
  • 2009 - 2016 iMac(iMac10,1 - 17,1)
  • 2015 款 15 英寸 MacBook Pro,配备 dGPU (MacBookPro11,5)

以下条目代表不再原生支持的 GPU,即。需要使用 OpenCore Legacy Patcher 修补根卷:

macOS Big Sur 中需要修补的 GPU
  • 英伟达:
    • 特斯拉(8000 - 300 系列)
  • 超微半导体:
    • TeraScale(2000 - 6000 系列)
  • 英特尔:
    • 铁湖
    • 桑迪桥(2000 - 3000 系列)
macOS Monterey 中需要修补的 GPU
  • 英伟达:
    • 特斯拉(8000 - 300 系列)
    • 开普勒(600 - 800 系列)
  • 超微半导体:
    • TeraScale(2000 - 6000 系列)
  • 英特尔:
    • 铁湖
    • 桑迪桥(2000 - 3000 系列)
    • Ivy Bridge(4000 系列)
macOS Monterey 中需要修补的无线卡
  • 博通:
    • BCM94328
    • BCM94322
  • 阿瑟罗斯
macOS Ventura 中需要修补的 GPU
  • 英伟达:
    • 开普勒(600 - 800 系列)
  • 超微半导体:
    • GCN 1-3(7000 - R9 系列)
    • Polaris(RX 4xx/5xx 系列,如果 CPU 缺少 AVX2)
  • 英特尔:
    • Ivy Bridge(4000 系列)
    • Haswell(4400、4600、5000 系列)
    • 布罗德韦尔(6000 系列)
    • Skylake(500 系列)
OpenCoreLegacyPatcher0.6.7百度网盘立即下载提取码: 2e3u复制
OpenCoreLegacyPatcher0.6.7天翼网盘立即下载提取码: 8qb7复制
OpenCoreLegacyPatcher0.6.7夸克网盘立即下载提取码: RA2q复制
OpenCoreLegacyPatcher0.6.7迅雷云盘立即下载提取码: gxf5复制
客服QQ271638927
原文链接:https://macapp.icu/2023/07/12/12/,转载请注明出处。
0
1. 本站所有资源解压密码均为imacos.top
2. 本站资源收集于网络,仅做学习和交流使用,请于下载后24小时内删除。如果你喜欢我们推荐的软件,请购买正版支持作者。
3. 如有无法下载的链接,联系:邮箱271638927@qq.com,或直接联系QQ271638927进行反馈,我们将及时进行处理。
4. 本站发布的内容若侵犯到您的权益,请联系站长删除,联系方式:邮箱271638927@qq.com,我们将第一时间配合处理!

评论0

请先
终身会员限时上线 ☞ 限时永久会员折扣活动开始啦 > 查看优惠
显示验证码
没有账号?注册  忘记密码?

社交账号快速登录

微信扫一扫关注
如已关注,请回复“登录”二字获取验证码